/* 1. Single price - no campaign */
.price-std {
    font-weight: 600;
    display: inline-block;
    vertical-align: baseline;
    font-size: inherit; /* Arver størrelsen fra teksten rundt */
    line-height: 1.1;
}

/* 2. Active campaign */
.price-inline-wrapper.campaign-active {
    display: inline-flex !important;
    flex-direction: column;
    vertical-align: middle;
    position: relative;
    top: -0.32em; /* Finjustering for å sentrere mot tekstlinjen */
}

.price-label-before {
    margin-top:0.7em;
  text-align: center;
    font-size: 0.45em !important;
    font-weight: 400;
    display: block;
    line-height: 1;
    margin-bottom: -2px;
    text-decoration: none; /* Som standard ingen strek */
}

/* Only line-through if before price set (is-before-price) */
.price-inline-wrapper.is-before-price .price-label-before {
    text-decoration: line-through;
    opacity: 0.5;
}

/* Supertext */
.price-inline-wrapper.has-custom-label .price-label-before {
  text-align: center;
    transform: rotate(-2deg);
    opacity: 1;
}

/* Fjerner strek over hvis det er en tekst-label (optional) */
.price-inline-wrapper.campaign-active .price-label-before:not(:contains(',-')) {
    text-decoration: none;
}
.price-wrap {
  margin-top: 0.7rem;
  text-align: center;
}
/* 4. MARGIN-FIX: Dytter ned hele div-en hvis den inneholder kampanje
div:has(.campaign-active), 
section:has(.campaign-active),
.price-wrap:has(.campaign-active) {
    margin-top: 0.7rem!important;
} */

/* Sørg for at den bare treffer spesifikke moduler, og IKKE alle div-er på hele nettstedet */
.price-wrap:has(.campaign-active) {
    margin-top: 0.7rem!important;
}

/* Styling av selve kampanjeprisen */
.campaign-active .price-std {
    color: var(--col-logo)!important;
    font-weight: bold;
}








.custom-admin-table {
  width: 70%;
  min-width: 500px;
  margin: 0 auto;
  background: #fff;
}

.table-header {
  display:flex;
  font-weight:normal;
  background:#333;
  color:#fff;
  padding:15px;
  margin-bottom: 1rem;
}

.price-row {
    display:flex;
    align-items:center;
    padding:12px;
    border:1px solid #eee;
    border-top:none;
    background:#fff;
}

.price-field {
  width:60%;
  text-align: right;
}

.service-name {
    font-weight: bold;
    font-size: 1.1rem;
}





.save-btn {
    margin-top: 30px;
    background: #000;
    color: #fff;
    padding: 15px 40px;
    border: none;
    border-radius: 50px;
    font-weight: bold;
    cursor: pointer;
    transition: transform 0.2s;
}

.save-btn:hover {
    transform: translateY(0px);
}

#save-message {
  background:#d4edda;
  color:#155724;
  padding:15px;
  margin-bottom:20px;
  border-radius:5px;
  font-weight:bold;
}